Google के कारोबारी ग्रुप शेयर किए गए ऐसे फ़ोल्डर की तरह होते हैं जिसमें आपके कारोबार की जगहों की जानकारी होती है. कारोबार की जगहों के ग्रुप की मदद से, अलग-अलग जगहों पर मौजूद कारोबार की जानकारी को मैनेज करने का ऐक्सेस कई उपयोगकर्ताओं के साथ सुरक्षित तरीके से शेयर किया जा सकता है. ज़्यादा जानकारी के लिए, कारोबार की जगहों के ग्रुप के बारे में जानकारी देखें.
स्थानीय इन्वेंट्री अपलोड करने से पहले, उस कारोबारी ग्रुप के बारे में बताएं जिसकी ज़िम्मेदारी आपका Merchant Center खाता लेगा. Merchant API का इस्तेमाल करके, Business Profile से ज़रूरी शर्तें पूरी करने वाले कारोबारी ग्रुप की सूची पाई जा सकती है. हालांकि, सूची पाने के लिए, आपको पहले अपने खाते को किसी Business Profile से लिंक करना होगा.
किसी Business Profile के ऐक्सेस का अनुरोध करना
किसी Business Profile का ऐक्सेस पाने के लिए, gbpAccounts.LinkGbpAccount तरीके का इस्तेमाल करें:
POST https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/gbpAccounts:linkGbpAccount
{
"gbpEmail": "admin@example.com",
}
इनकी जगह ये डालें:
ACCOUNT_ID: आपके Merchant Center खाते का यूनीक आइडेंटिफ़ायरGBP_EMAIL: Business Profile के एडमिन का ईमेल पता
इस तरीके को कॉल करने पर, सेवा बताए गए एडमिन को एक ईमेल भेजती है. इसमें एडमिन से ऐक्सेस के अनुरोध को स्वीकार या अस्वीकार करने के लिए कहा जाता है. अगर एडमिन सात दिनों के अंदर जवाब नहीं देता है, तो अनुरोध अपने-आप रद्द हो जाता है.
उपलब्ध कारोबारी ग्रुप की सूची देखना
एडमिन की ओर से अनुरोध स्वीकार किए जाने के बाद, gbpAccounts.List तरीके का इस्तेमाल करके, उपलब्ध कारोबारी ग्रुप देखे जा सकते हैं.
यहां अनुरोध और उसके स्वीकार होने का एक उदाहरण दिया गया है:
GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/gbpAccounts
Response:
200 OK
{
"gbpAccounts": [
{
"name": "accounts/{ACCOUNT_ID}/gbpAccounts/12345",
"gbpAccountId": 12345,
"type": USER,
"gbpAccountName": "admin@example.com",
"listingCount": 15
}, {
"name": "accounts/{ACCOUNT_ID}/gbpAccounts/67890",
"gbpAccountId": 67890,
"type": BUSINESS_ACCOUNT,
"gbpAccountName": "Google My Business Account",
"listingCount": 23
}
],
"nextPageToken": 50
}
ज़रूरी शर्तें पूरी करने वाले सभी कारोबारी ग्रुप पाने के लिए, इस कोड के नमूने का इस्तेमाल किया जा सकता है:
Java
import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.AccountName;
import com.google.shopping.merchant.accounts.v1.GbpAccount;
import com.google.shopping.merchant.accounts.v1.GbpAccountsServiceClient;
import com.google.shopping.merchant.accounts.v1.GbpAccountsServiceClient.ListGbpAccountsPagedResponse;
import com.google.shopping.merchant.accounts.v1.GbpAccountsServiceSettings;
import com.google.shopping.merchant.accounts.v1.ListGbpAccountsRequest;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;
/**
* This class demonstrates how to get the list of GBP accounts for a given Merchant Center account
*/
public class ListGbpAccountsSample {
public static void listGbpAccounts(Config config) throws Exception {
// Obtains OAuth token based on the user's configuration.
GoogleCredentials credential = new Authenticator().authenticate();
// Creates service settings using the credentials retrieved above.
GbpAccountsServiceSettings gbpAccountsServiceSettings =
GbpAccountsServiceSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(credential))
.build();
String accountId = config.getAccountId().toString();
// Creates parent to identify the omnichannelSetting from which to list all Lfp Providers.
String parent = AccountName.newBuilder().setAccount(accountId).build().toString();
// Calls the API and catches and prints any network failures/errors.
try (GbpAccountsServiceClient gbpAccountsServiceClient =
GbpAccountsServiceClient.create(gbpAccountsServiceSettings)) {
ListGbpAccountsRequest request =
ListGbpAccountsRequest.newBuilder().setParent(parent).build();
System.out.println("Sending list GBP accounts request:");
ListGbpAccountsPagedResponse response = gbpAccountsServiceClient.listGbpAccounts(request);
int count = 0;
// Iterates over all the entries in the response.
for (GbpAccount gbpAccount : response.iterateAll()) {
System.out.println(gbpAccount);
count++;
}
System.out.println(String.format("The following count of elements were returned: %d", count));
} catch (Exception e) {
System.out.println("An error has occured: ");
System.out.println(e);
}
}
public static void main(String[] args) throws Exception {
Config config = Config.load();
listGbpAccounts(config);
}
}
PHP
require_once __DIR__ . '/../../../../vendor/autoload.php';
require_once __DIR__ . '/../../../Authentication/Authentication.php';
require_once __DIR__ . '/../../../Authentication/Config.php';
use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\GbpAccountsServiceClient;
use Google\Shopping\Merchant\Accounts\V1\GbpAccount;
use Google\Shopping\Merchant\Accounts\V1\ListGbpAccountsRequest;
/**
* This class demonstrates how to get the list of GBP accounts for a given
* Merchant Center account.
*/
class ListGbpAccountsSample
{
/**
* A helper function to create the parent string.
*
* @param string $accountId The account ID.
*
* @return string The parent has the format: `accounts/{account_id}`
*/
private static function getParent(string $accountId): string
{
return sprintf('accounts/%s', $accountId);
}
/**
* Retrieves the list of GBP accounts for a given Merchant Center account.
*
* @param array $config The configuration data for authentication and account ID.
*
* @return void
*/
public static function listGbpAccounts(array $config): void
{
// Gets the OAuth credentials to make the request.
$credentials = Authentication::useServiceAccountOrTokenFile();
// Creates options config containing credentials for the client to use.
$options = ['credentials' => $credentials];
// Creates a client.
$gbpAccountsServiceClient = new GbpAccountsServiceClient($options);
// Creates the parent account name to identify the merchant.
$parent = self::getParent($config['accountId']);
// Creates the request to list GBP accounts.
$request = new ListGbpAccountsRequest([
'parent' => $parent
]);
// Calls the API and catches and prints any network failures/errors.
try {
printf("Sending list GBP accounts request:%s", PHP_EOL);
$response = $gbpAccountsServiceClient->listGbpAccounts($request);
$count = 0;
// Iterates over all the GBP accounts in the response and prints them.
foreach ($response->iterateAllElements() as $gbpAccount) {
/** @var GbpAccount $gbpAccount */
print_r($gbpAccount->serializeToJsonString());
$count++;
}
printf(
"The following count of elements were returned: %d%s",
$count,
PHP_EOL
);
} catch (ApiException $e) {
printf("An error has occurred: %s%s", $e->getMessage(), PHP_EOL);
}
}
/**
* Helper to execute the sample.
*
* @return void
*/
public function callSample(): void
{
$config = Config::generateConfig();
self::listGbpAccounts($config);
}
}
// Runs the script.
$sample = new ListGbpAccountsSample();
$sample->callSample();
Python
from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import GbpAccountsServiceClient
from google.shopping.merchant_accounts_v1 import ListGbpAccountsRequest
# Gets the merchant account ID from the configuration file.
_ACCOUNT = configuration.Configuration().read_merchant_info()
# Creates the parent resource name string.
_PARENT = f"accounts/{_ACCOUNT}"
def list_gbp_accounts() -> None:
"""Lists the Google Business Profile accounts for a given Merchant Center account."""
# Gets OAuth Credentials.
credentials = generate_user_credentials.main()
# Creates a client.
client = GbpAccountsServiceClient(credentials=credentials)
# Creates the request.
request = ListGbpAccountsRequest(parent=_PARENT)
# Makes the request and catches and prints any error messages.
try:
print("Sending list GBP accounts request:")
# Makes the request and retrieves the list of GBP accounts.
response = client.list_gbp_accounts(request=request)
count = 0
# Iterates over all the GBP accounts in the response and prints them.
for gbp_account in response:
print(gbp_account)
count += 1
print(f"The following count of elements were returned: {count}")
except RuntimeError as e:
print("An error has occured: ")
print(e)
if __name__ == "__main__":
list_gbp_accounts()
Merchant Center खाते के लिए कारोबारी ग्रुप तय करना
उपलब्ध कारोबारी ग्रुप की सूची देखने के बाद, कारोबारी ग्रुप को अपने Merchant Center खाते से जोड़ा जा सकता है. उदाहरण के लिए, अगर आपको GBP खाते के आईडी 12345 वाला कारोबारी ग्रुप चुनना है (यह आईडी पिछले चरण में मिला था), तो AccountServices.proposeAccountService का इस्तेमाल किया जा सकता है:
POST
https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/services:propose
{
provider: "providers/GOOGLE_BUSINESS_PROFILE",
account_service: {
external_account_id: "12345",
local_listing_management {}
}
}
ध्यान दें कि provider फ़ील्ड में providers/GOOGLE_BUSINESS_PROFILE होना चाहिए. अनुरोध में, आपको LocalListingManagement फ़ील्ड को खाली रखना होगा.
प्रॉडक्ट और इन्वेंट्री डेटा सबमिट करना
अपने Merchant Center खाते को किसी कारोबारी ग्रुप से जोड़ने के बाद, प्रॉडक्ट और स्थानीय इन्वेंट्री का डेटा अपलोड किया जा सकता है. ज़्यादा जानकारी के लिए, देखें